<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div
			th:fragment="filters"
			id="filterDrawer"
			class="fixed top-0 left-0 z-40 h-screen p-6 overflow-y-auto transition-transform -translate-x-full bg-white w-80 md:w-96 dark:bg-gray-800"
			tabindex="-1"
			aria-labelledby="drawer-label"
		>
			<div class="mb-3">
				<h3 class="text-base font-medium text-gray dark:text-white">
					Filter Dosen
				</h3>
				<button
					type="button"
					data-drawer-hide="filterDrawer"
					aria-controls="filterDrawer"
					class="text-gray-400 bg-transparent hover:bg-gray-200 hover:text-gray-900 rounded-lg text-sm w-8 h-8 absolute top-2.5 end-2.5 flex items-center justify-center dark:hover:bg-gray-600 dark:hover:text-white"
				>
					<svg
						class="w-3 h-3"
						aria-hidden="true"
						xmlns="http://www.w3.org/2000/svg"
						fill="none"
						viewBox="0 0 14 14"
					>
						<path
							stroke="currentColor"
							stroke-linecap="round"
							stroke-linejoin="round"
							stroke-width="2"
							d="m1 1 6 6m0 0 6 6M7 7l6-6M7 7l-6 6"
						/>
					</svg>
					<span class="sr-only">Close menu</span>
				</button>
			</div>
			<form id="filters-menu" action="">
				<div class="divide-y divide-gray-100 dark:divide-gray-600 mb-16">
					<div class="py-4">
						<h6
							class="mb-3 text-base font-medium text-gray-900 dark:text-white"
						>
							Jurusan
						</h6>
						<ul class="space-y-2 text-sm">
							<li class="flex items-center" th:each="prodi : ${prodiList}">
								<input
									th:id="${'prodi-'+prodi.id}"
									name="prodi"
									th:value="${prodi.id}"
									type="checkbox"
									th:checked="${selectedProdi.contains(prodi.id)}"
									class="w-4 h-4 bg-gray-100 border-gray-300 rounded text-blue-600 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500"
								/>
								<label th:text="${prodi.prodiName}"
									class="ml-2 text-sm font-medium text-gray-700 dark:text-gray-400"
								>
									Manajemen Bisnis Syariah
								</label>
							</li>
						</ul>
					</div>

					<div class="py-4">
						<h6
							class="mb-3 text-base font-medium text-gray-900 dark:text-white"
						>
							Status
						</h6>
						<ul class="space-y-2 text-sm">
								<li class="flex items-center" th:each="data : ${lecturerType}" >
									<input
										id="status-01"
										name="type"
										th:value="${data.name}"
										th:checked="${selectedType.contains(data.name)}"
										type="checkbox"
										class="w-4 h-4 bg-gray-100 border-gray-300 rounded text-blue-600 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500"
									/>
									<label
										th:text="${data.label}"
										for="status-01"
										class="ml-2 text-sm font-medium text-gray-700 dark:text-gray-400"
									>
										Dosen tetap
									</label>
							</li>
						</ul>
					</div>

					<div class="py-4">
						<h6
							class="mb-3 text-base font-medium text-gray-900 dark:text-white"
						>
							Jenis Kelamin
						</h6>
						<ul class="space-y-2 text-sm">
							<li class="flex items-center" th:each="data : ${GenderList}">
								<input
									name="gender"
									th:value="${data}"
									type="checkbox"
									th:checked="${selectedGender.contains(data.name)}"
									class="w-4 h-4 bg-gray-100 border-gray-300 rounded text-blue-600 focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-700 focus:ring-2 dark:bg-gray-600 dark:border-gray-500"
								/>
								<label th:text="${data.label}"
									class="ml-2 text-sm font-medium text-gray-700 dark:text-gray-400"
								>
									Laki-Laki
								</label>
							</li>
						</ul>
					</div>
				</div>
				<div
					class="fixed bottom-0 left-0 px-6 pt-4 pb-6 bg-white dark:bg-gray-800 w-80 md:w-96 shadow-md"
				>
					<button
						type="submit"
						id="filterButton"
						class="px-5 py-2.5 w-full text-sm font-medium text-white inline-flex gap-2 items-center justify-center bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 rounded-lg text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
					>
						<svg
							class="w-4 h-4 text-white"
							aria-hidden="true"
							xmlns="http://www.w3.org/2000/svg"
							width="24"
							height="24"
							fill="none"
							viewBox="0 0 24 24"
						>
							<path
								stroke="currentColor"
								stroke-linecap="round"
								stroke-width="2"
								d="M18.796 4H5.204a1 1 0 0 0-.753 1.659l5.302 6.058a1 1 0 0 1 .247.659v4.874a.5.5 0 0 0 .2.4l3 2.25a.5.5 0 0 0 .8-.4v-7.124a1 1 0 0 1 .247-.659l5.302-6.059c.566-.646.106-1.658-.753-1.658Z"
							/>
						</svg>
						Terapkan Filter
					</button>
				</div>
			</form>
		</div>
	</body>
</html>
